Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Interface NodeEditor

All Known Implementing Classes:
  AbstractNodeEditor

public interface NodeEditor

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener listener)`
`javax.swing.JComponent` | `getComponent()`
`void` | `pushChanges()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener listener)`
`void` | `setNode(XACMLTreeNode node)`

Method Detail

### getComponent

    public javax.swing.JComponent getComponent()

### setNode

    public void setNode(XACMLTreeNode node)

### pushChanges

    public void pushChanges()

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener listener)

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener listener)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.